#!/bin/bash

# MCPFUpdate.sh
# MCPF "Large Update" Script. Copyrights (c) @MLforAll. All rights reserved.

# Last Update : 10/10/16
# SERIOUS UPDATE TO THE SCPT WERE MADE on the 01/05/16 !

### Remove useless files if they exist, adding some (useless) links if they do not exist... ###

if [ -f "$1/System/Library/MLPF" ]; then rm "$1/System/Library/MLPF" ; fi
if [ -d "$1/System/Library/MCPF" ]; then rm "$1/System/Library/MCPF" ; fi

### Manage MCPF Apps ###

if [ -d "$1/Applications/About MCPF.app" ]; then rm -R "$1/Applications/About MCPF.app" ; fi
if [ -d "$1/Applications/Dock Glass Effect Manager.app" ]; then rm -R "$1/Applications/Dock Glass Effect Manager.app" ; fi

if [ ! -d "$1/Applications/MacPostFactor Utilities.app" ]; then
	mkdir "$1/Hack_creating/Features/MCPF_Utils_extract"
	unzip /tmp/rMCPF/Features/MCPF_Utils.zip -d "$1/Hack_creating/Features/MCPF_Utils_extract"
	cp -R "$1/Hack_creating/Features/MCPF_Utils_extract/MacPostFactor Utilities.app" "$1/Applications"
	rm -R "$1/Hack_creating/Features/MCPF_Utils_extract"
fi

### Manage MCPF LaunchAgents/LaunchDaemons ###

if [ -f "$1/System/Library/LaunchAgents/com.osxhackers.checkDock.plist" ]; then rm "$1/System/Library/LaunchAgents/com.osxhackers.checkDock.plist" ; fi

if [ -f "$1/System/Library/LaunchAgents/com.osxhackers.mcpf.startupChecker.plist" ]; then rm "$1/System/Library/LaunchAgents/com.osxhackers.mcpf.startupChecker.plist" ; fi
cp "/tmp/rMCPF/hacking_datas/Features/LaunchAgents/com.osxhackers.mcpf.startupChecker.plist" "$1/System/Library/LaunchAgents"
chmod 644 "$1/System/Library/LaunchAgents/com.osxhackers.mcpf.startupChecker.plist"
chown root:wheel "$1/System/Library/LaunchAgents/com.osxhackers.mcpf.startupChecker.plist"

if [ -f "$1/System/Library/LaunchDaemons/com.osxhackers.not.plist" ]; then rm "$1/System/Library/LaunchDaemons/com.osxhackers.not.plist" ; fi
cp "/tmp/rMCPF/hacking_datas/Features/LaunchDaemons/com.osxhackers.not.plist" "$1/System/Library/LaunchDaemons"
chmod 644 "$1/System/Library/LaunchDaemons/com.osxhackers.not.plist"
chown root:wheel "$1/System/Library/LaunchDaemons/com.osxhackers.not.plist"

### End of the script ###

	exit 0
