#!/bin/sh

# base.mpkg
# MCPF 1st Install Method 3rd part Script. Copyrights (c) @MLforAll. All rights reserved.
# 2016

### Security ###

# Avoids launching the script! Useful for dev! A doubleclick can mess things up ;)

if [ ! -d /tmp/rMCPF/hacking_datas ]; then
	echo "MCPF Scripts Launch Security System"
	echo "Can't launch the script! Aborting!"
	exit 1
fi

### Start ###

echo "### start: compprepare.sh ###"

### Create .IABootFiles and put some important stuffs in it ###

if [ -d "$1/.IABootFiles" ]; then rm -R "$1/.IABootFiles" ; fi
mkdir "$1/.IABootFiles"
if [ -f /tmp/smallRecovery.mcpfoption ]; then cp /tmp/mcpfESD/BaseSystem.dmg "$1/.IABootFiles/origBS.dmg" ; fi
cp /tmp/mcpfESD/BaseSystem.chunklist "$1/.IABootFiles"

### Convert BS.dmg to BSZO.dmg (creates another file) ###

if [ -d /Volumes/BS ]; then hdiutil detach /Volumes/BS ; fi
mv "$1/BS.dmg" "$1/.IABootFiles/BS.dmg"
if [ -d /Volumes/BS ]; then hdiutil detach /Volumes/BS ; fi # We're never sure ;)
hdiutil convert -format UDZO -o "$1/.IABootFiles/BSZO.dmg" "$1/.IABootFiles/BS.dmg"

### Do some mods to the BS.dmg to make it smaller ###

mkdir /Volumes/BS
hdiutil attach -noverify -mountpoint /Volumes/BS "$1/.IABootFiles/BS.dmg" -nobrowse

if [ -d "/Volumes/BS/Packages" ]; then rm -R "/Volumes/BS/Packages" ; fi
if [ -f "/Volumes/BS/HackBkp.tar" ]; then rm "/Volumes/BS/HackBkp.tar" ; fi

### Unmount BS.dmg and Resize it ###

#osascript /tmp/rMCPF/hacking_datas/rec/diskimgUnmount.scpt "/Volumes/BS"
hdiutil detach /Volumes/BS
hdiutil resize -size min "$1/.IABootFiles/BS.dmg"

### End ###

echo "### end: compprepare.sh ###"
exit 0
