#!/bin/bash

# MCPF Recovery Startup Check Script. Copyrights (c) @MLforAll. All rights reserved.

# This script checks for a bunch of thing to determinate weher the recovery is pointing to the associated MCPF volume and if the MCPF recovery manager should open the OS X Installer or the OS X Utilities app.

mount -uw /Volumes/Image\ Volume

if [ -d /swap/.IABootFiles ]; then
	touch /swap/.IABootFiles/CreateRecHD.mcpf
else

	rm -R /swap/mcpftmp
	mkdir /swap/mcpftmp

	while read line ; do uuidFile=$line ; done < /swap/com.apple.recovery.boot/uuid.mcpf

	diskutil info -plist $uuidFile > /swap/mcpftmp/pidfile.mcpf.plist
	varName=$(defaults read /swap/mcpftmp/pidfile.mcpf.plist VolumeName)

	while read line ; do uuidFile2=$line ; done < "/Volumes/$varName/System/Library/CoreServices/uuid.mcpf"

	if [ -f "/Volumes/$varName/System/Library/CoreServices/uuid.mcpf" ]; then
		if [ "$uuidFile" == "$uuidFile2" ]; then
			touch /swap/mcpftmp/passgranted.mcpf
			
			if [ -d "/Volumes/$varName/System/Library/Extensions" ]; then
				
				if [ ! -f /swap/updSys.mcpfoption ]; then
					if [ ! -f /swap/CLSys.mcpfoption ]; then
						touch /swap/mcpftmp/sysInst.mcpf
					fi
		        fi
			fi
		fi
	fi

	ln -s "/Volumes/$varName/" /swap/mcpftmp/volD

fi