#!/bin/sh

# packages.mpkg
# MCPF 2st Install Method 3rd part Script. Copyrights (c) @MLforAll. All rights reserved.

### Security ###

# Avoids launching the script! Useful for dev! A doubleclick can mess things up ;)

if [ ! -d /tmp/rMCPF/hacking_datas ]; then
	echo "MCPF Scripts Launch Security System"
	echo "Can't launch the script! Aborting!"
	exit 1
fi

### Start ###

echo "### start: extpackages.sh ###"

### Get current folder ###

if [ -f "$(pwd)/$(basename $0)" ]; then
	sdir=$(pwd)
else
	sdir=$(dirname "$0")
fi

datasFolder="$sdir/extpackages_datas"

###### Which OS X version are we currently patching the RecHD? ######

instFiles=()
instFilesForCount=0
for f in /tmp/*.inst
do
instFiles[$instFilesForCount]="$f"
instFilesForCount+=1
done
if [ ${#instFiles[@]} -eq 0 ]; then exit 1 ; fi
instFile=${instFiles[0]}
osxinstNoPrefix=${instFile#/tmp/}
osxinst=${osxinstNoPrefix%.inst}

### Script ###

rm "$1/System/Installation/Packages"
cp -R /tmp/mcpfESD/Packages "$1/System/Installation"

rm "$1/System/Installation/Packages/OSInstall.mpkg"
cp "$datasFolder/OSInstall_$osxinst.mpkg" "$1/System/Installation/Packages"

rm "$1/System/Installation/Packages/OSInstall.pkg"
cp /tmp/rMCPF/hacking_datas/HackFolder/InstallationFiles/OSInstall.pkg "$1/System/Installation/Packages"

### End ###

echo "### end: extpackages.sh ###"
exit 0
